package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态筛选对象 tc_dtsx
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcDtsx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 监测信息总量 */
    @Excel(name = "监测信息总量")
    private String jcCount;

    /** 排除信息量 */
    @Excel(name = "排除信息量")
    private String pcCount;

    /** 舆情预警量（可空） */
    @Excel(name = "舆情预警量", readConverterExp = "可=空")
    private String yqCount;

    /** 舆情预警占比（可空） */
    @Excel(name = "舆情预警占比", readConverterExp = "可=空")
    private String yqZb;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setJcCount(String jcCount) 
    {
        this.jcCount = jcCount;
    }

    public String getJcCount() 
    {
        return jcCount;
    }
    public void setPcCount(String pcCount) 
    {
        this.pcCount = pcCount;
    }

    public String getPcCount() 
    {
        return pcCount;
    }
    public void setYqCount(String yqCount) 
    {
        this.yqCount = yqCount;
    }

    public String getYqCount() 
    {
        return yqCount;
    }
    public void setYqZb(String yqZb) 
    {
        this.yqZb = yqZb;
    }

    public String getYqZb() 
    {
        return yqZb;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jcCount", getJcCount())
            .append("pcCount", getPcCount())
            .append("yqCount", getYqCount())
            .append("yqZb", getYqZb())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
