package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 舆情信息量统计对象 tc_yqxxlnum
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcYqxxlnum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 本地相关信息数量 */
    @Excel(name = "本地相关信息数量")
    private Long count1;

    /** 本地敏感信息数量 */
    @Excel(name = "本地敏感信息数量")
    private Long count2;

    /** 推送预警信息数量 */
    @Excel(name = "推送预警信息数量")
    private Long count3;

    /** 聚焦本地媒体数量 */
    @Excel(name = "聚焦本地媒体数量")
    private Long count4;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCount1(Long count1) 
    {
        this.count1 = count1;
    }

    public Long getCount1() 
    {
        return count1;
    }
    public void setCount2(Long count2) 
    {
        this.count2 = count2;
    }

    public Long getCount2() 
    {
        return count2;
    }
    public void setCount3(Long count3) 
    {
        this.count3 = count3;
    }

    public Long getCount3() 
    {
        return count3;
    }
    public void setCount4(Long count4) 
    {
        this.count4 = count4;
    }

    public Long getCount4() 
    {
        return count4;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("count1", getCount1())
            .append("count2", getCount2())
            .append("count3", getCount3())
            .append("count4", getCount4())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
